<svelte:options customElement="my-button" />

<script>
// Those are the FUNKY $props.
export let text = "I'm a button !!!";
export let count = 0;

let _count = +count;

const resetCounter = () => count = _count || 0;
const handleButtonClick = (e) => {
  console.log(JSON.stringify(e))
  console.log(`Here comes ${count}`)
  count++;
} 
</script>

<button on:click={handleButtonClick}>{`${text} with count :: ${count}`} <button on:click={resetCounter}>R</button></button>

<p>{_count}</p>
<slot />